
QGIS Application - Bug report #21184

Dancing marker fill in polygon

2019-02-06 04:09 PM - Alexey T

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.4.4 Regression?: No

Operating System: win7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29002

Description

Make a polygon.

Fill it with markers.

Move the map slightly. Markers wil dance, changing their position a little bit as ashown in the attached video. This breaks export to tiles.

There was no such behavior in QGis 2.18

History

#1 - 2019-02-06 04:29 PM - Alexey T

- File 2019-02-06 18-29-01.mp4 added

Video showing this behavior in QGis 2.18 and 3.4.4

#2 - 2019-02-14 10:55 AM - Marco Hugentobler

- Status changed from Open to Closed

There is a project setting under Projects->Properties->General->Avoid artifacts when project is rendered as map tiles. With this setting enabled, it will

behave as expected for tile export (it was the same for 2.18 as far as I remember).

Files

2019-02-06 18-05-22.mp4 595 KB 2019-02-06 Alexey T

2019-02-06 18-29-01.mp4 596 KB 2019-02-06 Alexey T
